Cantera 2.6.0

Classes | Namespaces
Phase.h File Reference

Header file for class Phase. More...

`#include "cantera/base/ctexceptions.h"`
`#include "cantera/thermo/Elements.h"`
`#include "cantera/base/ValueCache.h"`
Include dependency graph for Phase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Phase
| Class Phase is the base class for phases of matter, managing the species and elements in a phase, as well as the independent variables of temperature, mass density (compressible substances) or pressure (incompressible substances), species mass/mole fraction, and other generalized forces and intrinsic properties (such as electric potential) that define the thermodynamic state. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Detailed Description

Header file for class Phase.

Definition in file Phase.h.